Package com.explodingpixels.macwidgets.plaf

## Enum HudPaintingUtils.Roundedness

- java.lang.Object
- - java.lang.Enum<HudPaintingUtils.Roundedness>
  - - com.explodingpixels.macwidgets.plaf.HudPaintingUtils.Roundedness

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<HudPaintingUtils.Roundedness>`

Enclosing class:
  HudPaintingUtils

    public static enum HudPaintingUtils.Roundedness
    extends java.lang.Enum<HudPaintingUtils.Roundedness>

An enumeration representing the roundness styles of HUD buttons.

### Enum Constant Summary

Enum Constants
`CHECK_BOX`
`COMBO_BUTTON`
`RADIO`
`ROUNDED_BUTTON`
`SLIDER_KNOB`

### Method Summary

All Methods Static Methods Concrete Methods
`static HudPaintingUtils.Roundedness` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HudPaintingUtils.Roundedness[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROUNDED_BUTTON

    public static final HudPaintingUtils.Roundedness ROUNDED_BUTTON

#### COMBO_BUTTON

    public static final HudPaintingUtils.Roundedness COMBO_BUTTON

#### CHECK_BOX

    public static final HudPaintingUtils.Roundedness CHECK_BOX

#### RADIO

    public static final HudPaintingUtils.Roundedness RADIO

#### SLIDER_KNOB

    public static final HudPaintingUtils.Roundedness SLIDER_KNOB

### Method Detail

#### values

    public static HudPaintingUtils.Roundedness[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HudPaintingUtils.Roundedness c : HudPaintingUtils.Roundedness.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HudPaintingUtils.Roundedness valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null